﻿<?xml version="1.0"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  https://go.microsoft.com/fwlink/?LinkId=301879
  -->
<configuration>
  <connectionStrings>
    <!--localhost-->
    <!--<add name="dbconnection" providerName="System.Data.SqlClient" connectionString="Data Source=(localdb)\MSSQLLocalDB;Initial Catalog=Bancolombia_MDT_Tracking;Connection Timeout=0" />-->
    <!--DataFeed-->
    <!--Preprod-->
    <!--<add name="dbconnection" providerName="System.Data.SqlClient" connectionString="Data Source=KCMDUQ07.na.imtn.com;Initial Catalog=Bancolombia_MDT_Tracking;User ID=sa;Password=ImtnQA20@23#;Connection Timeout=0" />-->
    <add name="dbconnection" providerName="System.Data.SqlClient" connectionString="Server=INL89BG7V3\SQLEXPRESS;Database=Lambeth_Tracking;User Id=sa;Password=Expired@47!shwe;"/>
    <!--<add name="dbconnection" providerName="System.Data.SqlClient" connectionString="Server=UKMKSMKX11DBP03;Database=Lambeth_Tracking;User Id=Kofax_CustomerData;Password=Kofax_@CustomerData;"/>-->
    <!--Preprod Customer-->
    <!--<add name="dbconnection" providerName="System.Data.SqlClient" connectionString="Data Source=COFLOKX11DBS01;Initial Catalog=Bancolombia_MDT_Datafeed;User ID=Kofax11_Admin;Password=kofax@admin;Connection Timeout=0" />-->
  </connectionStrings>
  <appSettings>
    <add key="MaxNumberofDocFields" value="20"/>
    <add key="MaxNumberofBatchFields" value="20"/>
    <add key="MaxNumberofMiscFields" value="20"/>
    <add key="webpages:Version" value="3.0.0.0"/>
    <add key="webpages:Enabled" value="false"/>
    <add key="ClientValidationEnabled" value="true"/>
    <add key="UnobtrusiveJavaScriptEnabled" value="true"/>
    <add key="EnableLogging" value="1"/>
    <add key="E2E_Bancolombia_Data" value="[E2E_Data]"/>
    <add key="DataFeed_Bancolombia" value="[Bancolombia_MDT_Datafeed]"/>
    <add key="Webstatus_Bancolombia" value="[imtracking_bancolombiabancolombiamdtbogokwic_prod]"/>
    <add key="DueDateDays" value="2"/>
    <add key="E2E_Elapsed_Hours" value="8"/>
    <add key="E2E_Elapsed_Hours" value="8"/>
    <add key="E2E_Task_Checkin" value="Checkin"/>
    <add key="E2E_ProjectID_in" value="C7A19_1"/>
    <add key="E2E_CustomerID_in" value="Bancolombia_1"/>
    <add key="E2E_Task_Checkout" value="Checkout"/>
    <add key="E2E_ProjectID_out" value="C7A19_2"/>
    <add key="E2E_CustomerID_out" value="Bancolombia_2"/>
	<add key="HoldBoxFilePath" value="C:\Projects"/>
	<add key="HoldBoxFolderPath" value="C:\Projects\HoldBox"/>
	<add key="HoldBoxDestFilePath" value="C:\Projects\DestinationFolder"/>
	<add key="TIDImagePath" value="C:\Projects\2024\Lambeth_Tracking_11032024\Lambeth_Tracking\Lambeth_Tracking\Lambeth_Tracking_API\BancolombiaMDTTracking.Api\LambethTrack\ImagePath"/>
  </appSettings>
  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.6.1" />
      </system.Web>
  -->
  <system.web>
    <compilation debug="true" targetFramework="4.6.1"/>
    <httpRuntime targetFramework="4.5" maxRequestLength="50000000"/>
  </system.web>
  <system.webServer>
    <modules>
      <remove name="TelemetryCorrelationHttpModule"/>
      <add name="TelemetryCorrelationHttpModule" type="Microsoft.AspNet.TelemetryCorrelation.TelemetryCorrelationHttpModule, Microsoft.AspNet.TelemetryCorrelation" preCondition="integratedMode,managedHandler"/>
    </modules>
    <handlers>
      <remove name="ExtensionlessUrlHandler-Integrated-4.0"/>
      <remove name="OPTIONSVerbHandler"/>
      <remove name="TRACEVerbHandler"/>
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0"/>
    </handlers>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="50000000"/>
      </requestFiltering>
    </security>
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Antlr3.Runtime" publicKeyToken="eb42632606e9261f"/>
        <bindingRedirect oldVersion="0.0.0.0-3.5.0.2" newVersion="3.5.0.2"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.DiagnosticSource" publicKeyToken="cc7b13ffcd2ddd51"/>
        <bindingRedirect oldVersion="0.0.0.0-4.0.2.1" newVersion="4.0.2.1"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed"/>
        <bindingRedirect oldVersion="0.0.0.0-11.0.0.0" newVersion="11.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35"/>
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35"/>
        <bindingRedirect oldVersion="0.0.0.0-1.6.5135.21930" newVersion="1.6.5135.21930"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35"/>
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35"/>
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35"/>
        <bindingRedirect oldVersion="1.0.0.0-5.2.4.0" newVersion="5.2.4.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Http" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Formatting" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Autofac" publicKeyToken="17863af14b0044da" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-4.8.1.0" newVersion="4.8.1.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.2" newVersion="4.0.1.2"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.codedom>
    <compilers>
      <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.CSharpCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:6 /nowarn:1659;1699;1701"/>
      <compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.VBCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:14 /nowarn:41008 /define:_MYTYPE=\&quot;Web\&quot; /optionInfer+"/>
    </compilers>
  </system.codedom>
</configuration>